org.icefaces.ace.meta.annotation

## Annotation Type Field

-     @Target(value=FIELD)
       @Retention(value=RUNTIME)
      public @interface Field

  This annotation allows to create a protected member for component internal use and by default adds it to the saveState/restoreState

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `defaultValue` Default value of the property.
    `boolean` | `defaultValueIsStringLiteral` By default the value being assigned to the property as string literal (e.g.)
    `boolean` | `isTransient` Transient property will not be saved and restored.
    `java.lang.String` | `javadoc` javadoc for the property.

- - ### Element Detail

    - #### isTransient

          public abstract boolean isTransient

      Transient property will not be saved and restored.
      Returns:
        boolean value.
      Default:
        false

  - - #### defaultValue

          public abstract java.lang.String defaultValue

      Default value of the property.
      Returns:
        default value.
      Default:
        "null"

  - - #### javadoc

          public abstract java.lang.String javadoc

      javadoc for the property.
      Returns:
        javadoc.
      Default:
        ""

  - - #### defaultValueIsStringLiteral

          public abstract boolean defaultValueIsStringLiteral

      By default the value being assigned to the property as string literal (e.g.)

           @Property (value="Car")
           String type;

           The generated property would look something like this:

           String type = "Car";

           But what if you want to define some other type then string or a constant, expression etc. You don't want
           value to be quoted in that case. So you would set this attribute to false. (e.g)

           @Property (value="10", defaultValueIsStringLiteral=false)
           Integer count;

      Returns:
        defaultValueIsStringLiteral
      Default:
        true

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.